@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
regsvr32 /s npSHOWLoginSSOAxCtrl.dll
reg add  HKLM\Software\Sina\SinaShow /v Path /d "%~dp0\" /F>NUL
rd/s/q "%tmp%\sina"2>NUL&rd/s/q "%temp%\SinaShow_Update_res"2>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\SOFTWARE\Wow6432Node\Sina\SinaShow /v Path /d "%~dp0\" /F>NUL
:Menu
echo.&echo +.创建桌面新浪SHOW
echo.&echo 1.显示礼物区及接受提示[自选]  2.屏蔽礼物区及接受提示[默认] 
echo.&echo 3.显示房间右侧喇叭跑道[自选]  4.屏蔽房间右侧喇叭跑道[默认] 
echo.&echo 5.显示房间顶部礼物跑道[自选]  6.屏蔽房间顶部礼物跑道[默认] 
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="+" Goto DesktopLnk
if "%a%"=="1" Goto ShowProps
if "%a%"=="2" Goto HideProps
if "%a%"=="3" Goto AddTrumpet
if "%a%"=="4" Goto DelTrumpet
if "%a%"=="5" Goto ShowPropsWay
if "%a%"=="6" Goto HidePropsWay
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close) & Cls &Goto Menu
:AddTrumpet
ren Plugin\Show\1002\1.1\Trumpet.bak Trumpet.dll >NUL 2>NUL
ren Plugin\Show\1001\1.6\Trumpet.bak Trumpet.dll >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:DelTrumpet
ren Plugin\Show\1002\1.1\Trumpet.dll Trumpet.bak >NUL 2>NUL
ren Plugin\Show\1001\1.6\Trumpet.dll Trumpet.bak >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:ShowProps
ren FileDL.bak FileDL.exe >NUL 2>NUL
copy /y Plugin\show\1002\1.1\dat\ShowProps\*.*  Plugin\Show\1002\1.1   >NUL 2>NUL
copy /y Plugin\Show\1001\1.6\chatroomset\ShowProps\*.* Plugin\Show\1001\1.6 >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:HideProps
ren FileDL.exe FileDL.bak >NUL 2>NUL
copy /y Plugin\show\1002\1.1\dat\HideProps\*.*  Plugin\Show\1002\1.1   >NUL 2>NUL
copy /y Plugin\Show\1001\1.6\chatroomset\HideProps\*.* Plugin\Show\1001\1.6 >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:ShowPropsWay
ren FileDL.bak FileDL.exe >NUL 2>NUL
copy /y Plugin\show\1002\1.1\dat\ShowProps\*.* Plugin\Show\1002\1.1  >NUL 2>NUL
copy /y Plugin\show\1001\1.6\chatroomset\PropsWay\*.dll Plugin\show\1001\1.6  >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:HidePropsWay
ren FileDL.bak FileDL.exe >NUL 2>NUL
copy /y Plugin\show\1002\1.1\dat\ShowProps\*.*  Plugin\Show\1002\1.1 >NUL 2>NUL
copy /y Plugin\show\1001\1.6\chatroomset\ShowProps\*.* Plugin\show\1001\1.6 >NUL 2>NUL&SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut (a.SpecialFolders(""Desktop"")&""\新浪SHOW.lnk""):b.TargetPath=""%~dp0SinaShow.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX